import { Button, ButtonConfig } from './button';
import { PlayerAPI } from 'bitmovin-player';
import { UIInstanceManager } from '../uimanager';
/**
 * @category Configs
 */
export interface QuickSeekButtonConfig extends ButtonConfig {
    /**
     * Specify how many seconds the player should seek forward/backwards in the stream.
     * Negative values mean a backwards seek, positive values mean a forward seek.
     * Default is -10.
     */
    seekSeconds?: number;
}
/**
 * @category Buttons
 */
export declare class QuickSeekButton extends Button<QuickSeekButtonConfig> {
    private currentSeekTarget;
    private player;
    constructor(config?: QuickSeekButtonConfig);
    configure(player: PlayerAPI, uimanager: UIInstanceManager): void;
    private onSeek;
    private onSeekedOrTimeShifted;
    private onTimeShift;
    release(): void;
}
