import { Component } from '../components/component';
/**
 * Takes the provided list of components and flat-maps them to a list of their respective HTML elements. In case a
 * provided component is a container, the children of that container will be resolved recursively. Ignores components
 * that are hidden.
 *
 * @param components The components to map to HTML elements
 */
export declare function getHtmlElementsFromComponents(components: Component<unknown>[]): HTMLElement[];
