export type Callback<T> = (data: T, target: HTMLElement, preventDefault: () => void) => void;
export type NavigationCallback = Callback<Direction>;
export type ActionCallback = Callback<Action>;
export type KeyMap = {
    [keyCode: number]: Action | Direction;
};
export declare enum Direction {
    UP = "up",
    DOWN = "down",
    LEFT = "left",
    RIGHT = "right"
}
export declare enum Action {
    SELECT = "select",
    BACK = "back"
}
